System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Object System.Runtime.InteropServices.ClassInterface(System.Runtime.InteropServices.ClassInterfaceType.AutoDispatch) System.Runtime.InteropServices.ComVisible(true)

can be used to represent a catch exception block of a try/catch statement.

The property specifies the type of exception to catch. The property specifies a name for the variable representing the exception that has been caught. The collection property contains the statements for the catch block.

Represents a catch exception block of a try/catch statement.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class using the specified local variable name for the exception.

  The name of the local variable declared in the catch clause for the exception. This is optional.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class using the specified local variable name for the exception and exception type.

  The name of the local variable declared in the catch clause for the exception. This is optional.
  A that indicates the type of exception to catch.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.ParamArray
  To be added

  Initializes a new instance of the class using the specified local variable name for the exception, exception type and statement collection.

  The name of the local variable declared in the catch clause for the exception. This is optional.
  A that indicates the type of exception to catch.
  An array of objects that represent the contents of the catch block.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CodeDom.CodeTypeReference To be added: an object of type 'CodeTypeReference'

  If a value for this property is not specified, the value of this property defaults to .

  Gets or sets the type of the exception to handle with the catch block.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added: an object of type 'string'

  This property specifies the name of the local variable for the exception. This local variable is optional. By default, the clause does not have this variable.

  Gets or sets the variable name of the exception that the catch clause handles.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CodeDom.CodeStatementCollection To be added: an object of type 'CodeStatementCollection' To be added

  Gets the statements within the catch block.